Upstream information

CVE-2017-9798 at MITRE

Description

Apache httpd allows remote attackers to read secret data from process memory if the Limit directive can be set in a user's .htaccess file, or if httpd.conf has certain misconfigurations, aka Optionsbleed. This affects the Apache HTTP Server through 2.2.34 and 2.4.x through 2.4.27. The attacker sends an unauthenticated OPTIONS HTTP request when attempting to read secret data. This is a use-after-free issue and thus secret data is not always sent, and the specific data depends on many factors including configuration. Exploitation with .htaccess can be blocked with a patch to the ap_limit_section function in server/core.c.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 5 5
Vector AV:N/AC:L/Au:N/C:P/I:N/A:N AV:N/AC:L/Au:N/C:P/I:N/A:N
Access Vector Network Network
Access Complexity Low Low
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact None None
Availability Impact None None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 5.9
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N
Access Vector Network Network
Access Complexity Low High
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact None None
Availability Impact None None
SUSE Bugzilla entries: 1058058 [NEW], 1060757 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 12 SP1-LTSS
  • apache2 >= 2.4.16-20.13.1
  • apache2-doc >= 2.4.16-20.13.1
  • apache2-example-pages >= 2.4.16-20.13.1
  • apache2-prefork >= 2.4.16-20.13.1
  • apache2-utils >= 2.4.16-20.13.1
  • apache2-worker >= 2.4.16-20.13.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-1682
SUSE Linux Enterprise Server 12 SP2
  • apache2 >= 2.4.23-29.6.1
  • apache2-doc >= 2.4.23-29.6.1
  • apache2-example-pages >= 2.4.23-29.6.1
  • apache2-prefork >= 2.4.23-29.6.1
  • apache2-utils >= 2.4.23-29.6.1
  • apache2-worker >= 2.4.23-29.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-1572
SUSE Linux Enterprise Server 12 SP3
  • apache2 >= 2.4.23-29.6.1
  • apache2-doc >= 2.4.23-29.6.1
  • apache2-example-pages >= 2.4.23-29.6.1
  • apache2-prefork >= 2.4.23-29.6.1
  • apache2-utils >= 2.4.23-29.6.1
  • apache2-worker >= 2.4.23-29.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2017-1572
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • apache2 >= 2.4.23-29.6.1
  • apache2-doc >= 2.4.23-29.6.1
  • apache2-example-pages >= 2.4.23-29.6.1
  • apache2-prefork >= 2.4.23-29.6.1
  • apache2-utils >= 2.4.23-29.6.1
  • apache2-worker >= 2.4.23-29.6.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-1572
SUSE Linux Enterprise Software Development Kit 12 SP2
  • apache2 >= 2.4.23-29.6.1
  • apache2-devel >= 2.4.23-29.6.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-1572
SUSE Linux Enterprise Software Development Kit 12 SP3
  • apache2 >= 2.4.23-29.6.1
  • apache2-devel >= 2.4.23-29.6.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2017-1572
SUSE Linux Enterprise for SAP 12 SP1
  • apache2 >= 2.4.16-20.13.1
  • apache2-doc >= 2.4.16-20.13.1
  • apache2-example-pages >= 2.4.16-20.13.1
  • apache2-prefork >= 2.4.16-20.13.1
  • apache2-utils >= 2.4.16-20.13.1
  • apache2-worker >= 2.4.16-20.13.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2017-1682
SUSE OpenStack Cloud 6
  • apache2 >= 2.4.16-20.13.1
  • apache2-doc >= 2.4.16-20.13.1
  • apache2-example-pages >= 2.4.16-20.13.1
  • apache2-prefork >= 2.4.16-20.13.1
  • apache2-utils >= 2.4.16-20.13.1
  • apache2-worker >= 2.4.16-20.13.1
Patchnames:
SUSE-OpenStack-Cloud-6-2017-1682
openSUSE Leap 42.2
  • apache2 >= 2.4.23-8.12.1
  • apache2-debuginfo >= 2.4.23-8.12.1
  • apache2-debugsource >= 2.4.23-8.12.1
  • apache2-devel >= 2.4.23-8.12.1
  • apache2-doc >= 2.4.23-8.12.1
  • apache2-event >= 2.4.23-8.12.1
  • apache2-event-debuginfo >= 2.4.23-8.12.1
  • apache2-example-pages >= 2.4.23-8.12.1
  • apache2-prefork >= 2.4.23-8.12.1
  • apache2-prefork-debuginfo >= 2.4.23-8.12.1
  • apache2-utils >= 2.4.23-8.12.1
  • apache2-utils-debuginfo >= 2.4.23-8.12.1
  • apache2-worker >= 2.4.23-8.12.1
  • apache2-worker-debuginfo >= 2.4.23-8.12.1
Patchnames:
openSUSE-2017-1083
openSUSE Leap 42.3
  • apache2 >= 2.4.23-16.1
  • apache2-debuginfo >= 2.4.23-16.1
  • apache2-debugsource >= 2.4.23-16.1
  • apache2-devel >= 2.4.23-16.1
  • apache2-doc >= 2.4.23-16.1
  • apache2-event >= 2.4.23-16.1
  • apache2-event-debuginfo >= 2.4.23-16.1
  • apache2-example-pages >= 2.4.23-16.1
  • apache2-prefork >= 2.4.23-16.1
  • apache2-prefork-debuginfo >= 2.4.23-16.1
  • apache2-utils >= 2.4.23-16.1
  • apache2-utils-debuginfo >= 2.4.23-16.1
  • apache2-worker >= 2.4.23-16.1
  • apache2-worker-debuginfo >= 2.4.23-16.1
Patchnames:
openSUSE-2017-1083

List of packages in QA

Product(s) Package(s)
SUSE Linux Enterprise Point of Sale 11 SP3
  • apache2 >= 2.2.34-70.10.1
  • apache2-devel >= 2.2.34-70.10.1
  • apache2-doc >= 2.2.34-70.10.1
  • apache2-example-pages >= 2.2.34-70.10.1
  • apache2-prefork >= 2.2.34-70.10.1
  • apache2-utils >= 2.2.34-70.10.1
  • apache2-worker >= 2.2.34-70.10.1
SUSE Linux Enterprise Server 11 SP3-LTSS
  • apache2 >= 2.2.34-70.10.1
  • apache2-devel >= 2.2.34-70.10.1
  • apache2-doc >= 2.2.34-70.10.1
  • apache2-example-pages >= 2.2.34-70.10.1
  • apache2-prefork >= 2.2.34-70.10.1
  • apache2-utils >= 2.2.34-70.10.1
  • apache2-worker >= 2.2.34-70.10.1
SUSE Linux Enterprise Server 11 SP4
  • apache2 >= 2.2.34-70.10.1
  • apache2-doc >= 2.2.34-70.10.1
  • apache2-example-pages >= 2.2.34-70.10.1
  • apache2-prefork >= 2.2.34-70.10.1
  • apache2-utils >= 2.2.34-70.10.1
  • apache2-worker >= 2.2.34-70.10.1
SUSE Linux Enterprise Server 12-LTSS
  • apache2 >= 2.4.10-14.28.1
  • apache2-debuginfo >= 2.4.10-14.28.1
  • apache2-debugsource >= 2.4.10-14.28.1
  • apache2-doc >= 2.4.10-14.28.1
  • apache2-example-pages >= 2.4.10-14.28.1
  • apache2-prefork >= 2.4.10-14.28.1
  • apache2-prefork-debuginfo >= 2.4.10-14.28.1
  • apache2-utils >= 2.4.10-14.28.1
  • apache2-utils-debuginfo >= 2.4.10-14.28.1
  • apache2-worker >= 2.4.10-14.28.1
  • apache2-worker-debuginfo >= 2.4.10-14.28.1
SUSE Linux Enterprise Software Development Kit 11 SP4
  • apache2 >= 2.2.34-70.10.1
  • apache2-devel >= 2.2.34-70.10.1
  • apache2-doc >= 2.2.34-70.10.1
  • apache2-example-pages >= 2.2.34-70.10.1
  • apache2-prefork >= 2.2.34-70.10.1
  • apache2-utils >= 2.2.34-70.10.1
  • apache2-worker >= 2.2.34-70.10.1
SUSE Studio Onsite 1.3
  • apache2 >= 2.2.34-70.10.1
  • apache2-devel >= 2.2.34-70.10.1


Status of this issue by product and package

Product(s) Source package State
SUSE Linux Enterprise SDK 11 SP4 apache2 In progress
SUSE Linux Enterprise SDK 12 SP2 apache2 Released
SUSE Linux Enterprise SDK 12 SP3 apache2 Released
SUSE Linux Enterprise Server 11 SP3 LTSS apache2 In progress
SUSE Linux Enterprise Server 11 SP4 apache2 In progress
SUSE Linux Enterprise Server 12 GA apache2 In progress
SUSE Linux Enterprise Server 12 SP1 apache2 Released
SUSE Linux Enterprise Server 12 SP2 apache2 Released
SUSE Linux Enterprise Server 12 SP2 for Raspberry Pi apache2 Released
SUSE Linux Enterprise Server 12 SP3 apache2 Released
SUSE Studio Onsite 1.3 apache2 In progress